%% plot iteration
function fiter = figure3(strtitle, fiter, f)
%%
figure(3);

fiter = [fiter; f];
x = 1 : size(fiter, 1);
semilogy(x, fiter(:, 1), 'r.-', x, fiter(:, 2), 'g.-', x, fiter(:, 3), 'b.-', x, fiter(:, 4), 'g.--', x, fiter(:, 5), 'b.--');
l = legend('ΔE/E', 'Δε_r/ε_r', 'Δσ/σ', '(ε_r-ε_r^0)/ε_r^0', '(σ-σ^0)/σ^0');
l.Location = 'southwest';
title(strtitle);
xlabel('iteration');
end
